package com.yeejoin.amos.boot.module.jcs.api.service;


import com.yeejoin.amos.boot.module.jcs.api.entity.UserCar;

/**
 *
 */
public interface IUserCarService {


    UserCar selectByAmosUserId(Long id);

    void add(UserCar userCar);

    void delete(UserCar userCar);

    /**
     * 获取用户绑定的车辆的状态为执行中的数量
     *
     * @return 执行中车辆的数量
     */
    int countUserCarExecuting(Long userId);
}
